# Draw
TKTopTest
HLRTest

# HLRTest Class Reference

This package is a test of the Hidden Lines
algorithms instantiated on the BRep Data Structure
and using the Draw package to display the results.
.

`#include <HLRTest.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | Set (const Standard_CString Name, const HLRAlgo_Projector &P)
| Set a Projector Variable .
static Standard_EXPORT Standard_Boolean | GetProjector (Standard_CString &Name, HLRAlgo_Projector &P)
| Get a projector variable Returns false if the variable is not a projector .
static Standard_EXPORT void | Set (const Standard_CString Name, const TopoDS_Shape &S)
| Set a OutLiner Variable .
static Standard_EXPORT Handle_HLRTopoBRep_OutLiner | GetOutLiner (Standard_CString &Name)
| Get a outliner variable Returns a null handle if the variable is not a outliner .
static Standard_EXPORT void | Commands (Draw_Interpretor &I)
| Defines commands to test the Hidden Line Removal .

## Member Function Documentation

static Standard_EXPORT void HLRTest::Commands | ( | Draw_Interpretor & | I | ) | `[static]`

static Standard_EXPORT Handle_HLRTopoBRep_OutLiner HLRTest::GetOutLiner | ( | Standard_CString & | Name | ) | `[static]`

static Standard_EXPORT Standard_Boolean HLRTest::GetProjector | ( | Standard_CString & | Name,
|  | HLRAlgo_Projector & | P
| ) | `[static]`

void HLRTest::operator delete | ( | void * | anAddress | ) | `[inline]`

void* HLRTest::operator new | ( | size_t | size | ) | `[inline]`

void* HLRTest::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT void HLRTest::Set | ( | const Standard_CString | Name,
|  | const TopoDS_Shape & | S
| ) | `[static]`

static Standard_EXPORT void HLRTest::Set | ( | const Standard_CString | Name,
|  | const HLRAlgo_Projector & | P
| ) | `[static]`

The documentation for this class was generated from the following file:

- HLRTest.hxx